> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get entitlement

> Get entitlement details by its unique identifier



## OpenAPI

````yaml /openAPI/openapi-20240301.json get /entitlements/{entitlement_id}
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /entitlements/{entitlement_id}:
    get:
      tags:
        - Entitlements
      summary: Get entitlement
      description: Get entitlement details by its unique identifier
      operationId: Get-entitlement
      parameters:
        - name: entitlement_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Entitlement Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntitlementResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EntitlementResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Entitlement Id
        name:
          type: string
          title: Name
          description: Entitlement name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Entitlement Description
        entitlement_type:
          anyOf:
            - $ref: '#/components/schemas/EntitlementType'
            - type: 'null'
          description: Entitlement Type
        units:
          anyOf:
            - type: string
            - type: 'null'
          title: Units
          description: Entitlement Units
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
          description: Entitlement is active
          default: true
        product_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Product Id
          description: Product ID
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: created time
      type: object
      required:
        - id
        - name
      title: EntitlementResponseSchema
      description: Create Entitlement Response Schema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EntitlementType:
      type: string
      enum:
        - Feature
        - Quantity
        - Credits
      title: EntitlementType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````